=== debian/changelog ===
biniou (1.0.0-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Jul 2011 00:02:27 +0200

biniou (0.9.1-1) unstable; urgency=low

  * Initial release. (Closes: #605672)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 05 Dec 2010 00:07:39 +0100
