=== debian/watch ===
version=3
http://martin.jambon.free.fr/biniou.html biniou-([\d\.]*)\.tar\.gz
