## biniou 1.0.8

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,21 @@
-# $Id: Makefile 63 2010-12-05 06:40:24Z mjambon $
+VERSION = 1.0.8
 
-VERSION = 1.0.0
-
-FLAGS = -dtypes
+FLAGS = -dtypes -g
 PACKS = easy-format
 
-.PHONY: default all opt install doc
-default: all opt test_biniou META
+ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
+EXE=.exe
+else
+EXE=
+endif
+
+.PHONY: default all opt install doc test
+default: all opt test_biniou$(EXE) META
 all: biniou.cma
-opt: biniou.cmxa bdump
+opt: biniou.cmxa bdump$(EXE)
 
+test: test_biniou$(EXE)
+	./test_biniou
 
 ifndef PREFIX
   PREFIX = $(shell dirname $$(dirname $$(which ocamlfind)))
@@ -28,7 +34,7 @@
           bi_share.mli bi_share.ml \
           bi_outbuf.mli bi_outbuf.ml bi_inbuf.mli bi_inbuf.ml \
           bi_vint.mli bi_vint.ml bi_io.mli bi_io.ml \
-          bi_dump.ml
+          bi_dump.ml bi_stream.mli bi_stream.ml
 
 MLI = $(filter %.mli, $(SOURCES))
 ML = $(filter %.ml, $(SOURCES))
@@ -38,17 +44,21 @@
 O = $(ML:.ml=.o)
 
 biniou.cma: $(SOURCES) Makefile
-	ocamlfind ocamlc -a -o biniou.cma -package "$(PACKS)" $(SOURCES)
+	ocamlfind ocamlc -a $(FLAGS) -o biniou.cma \
+		-package "$(PACKS)" $(SOURCES)
 
 biniou.cmxa: $(SOURCES) Makefile
-	ocamlfind ocamlopt -a -o biniou.cmxa -package "$(PACKS)" $(SOURCES)
+	ocamlfind ocamlopt -a $(FLAGS) \
+		-o biniou.cmxa -package "$(PACKS)" $(SOURCES)
 
-bdump: $(SOURCES) bdump.ml
-	ocamlfind ocamlopt -o bdump -package $(PACKS) -linkpkg \
+bdump$(EXE): $(SOURCES) bdump.ml
+	ocamlfind ocamlopt -o bdump$(EXE) $(FLAGS) \
+		-package $(PACKS) -linkpkg \
 		biniou.cmxa bdump.ml
 
-test_biniou: $(SOURCES) test_biniou.ml
-	ocamlfind ocamlopt -o test_biniou -package "$(PACKS) unix" -linkpkg \
+test_biniou$(EXE): biniou.cmxa test_biniou.ml
+	ocamlfind ocamlopt -o test_biniou$(EXE) $(FLAGS) \
+		-package "$(PACKS) unix" -linkpkg \
 		biniou.cmxa test_biniou.ml
 
 doc: doc/index.html
@@ -65,18 +75,18 @@
 
 uninstall:
 	test ! -f $(BINDIR)/bdump || rm $(BINDIR)/bdump
-	test ! -f $(BINDIR)/bdump.exe || rm $(BINDIR)/bdump.exe 
+	test ! -f $(BINDIR)/bdump.exe || rm $(BINDIR)/bdump.exe
 	ocamlfind remove biniou
 
 .PHONY: clean
 
 clean:
-	rm -f *.o *.a *.cm[ioxa] *.cmxa *~ *.annot 
+	rm -f *.o *.a *.cm[ioxa] *.cmxa *~ *.annot
 	rm -f bdump bdump.exe test_biniou test_biniou.exe META
 	rm -rf doc
 	rm -f test.bin test_channels.bin
 
-SUBDIRS = 
+SUBDIRS =
 SVNURL = svn://svn.forge.ocamlcore.org/svnroot/biniou/trunk/biniou
 
 .PHONY: archive
