=== debian/changelog ===
biniou (1.0.8-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - remove patch fix-bi_stream-for-32-bit-OCaml, since upstream changes
      now deal explicitly with 32-bit platforms

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2013 11:36:49 +0200

biniou (1.0.6-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * update watch
  * add myself as uploader
  * bump debhelper compat level and standards version
  * update Vcs, dependencies and package description
  * update copyright
  * rename and adapt debian-changes patch 
  * add patch fix-bi-stream-32 
  * update man page
  * install api docs in api/html

 -- Hendrik Tews <hendrik@askra.de>  Thu, 13 Jun 2013 14:01:31 +0200
