=== debian/control ===
Source: biniou
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hendrik Tews <hendrik@askra.de>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-best-compilers,
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9),
  libeasy-format-ocaml-dev
Standards-Version: 3.9.4
Homepage: http://martin.jambon.free.fr/biniou.html
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/biniou.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/biniou.git

Package: libbiniou-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: flexible binary data format in OCaml - development files
 Biniou is a binary data format designed for speed, safety, ease of use
 and backward compatibility as protocols evolve. Biniou is vastly
 equivalent to JSON in terms of functionality but allows implementations
 about 4 times as fast (see godi-yojson for comparison), with 25-35%
 space savings. Biniou data can be decoded into human-readable form
 without knowledge of type definitions except for field and variant names
 which are represented by 31-bit hashes.
 .
 This package contains the development files needed for programming
 with the library.

Package: libbiniou-ocaml
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: flexible binary data format in OCaml - plugins
 Biniou is a binary data format designed for speed, safety, ease of use
 and backward compatibility as protocols evolve. Biniou is vastly
 equivalent to JSON in terms of functionality but allows implementations
 about 4 times as fast (see godi-yojson for comparison), with 25-35%
 space savings. Biniou data can be decoded into human-readable form
 without knowledge of type definitions except for field and variant names
 which are represented by 31-bit hashes.
 .
 This package contains the shared runtime libraries.
