=== debian/watch ===
version=3
http://mjambon.com/releases/biniou/biniou-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
