=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: biniou
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
@@ -10,10 +11,10 @@
   dh-ocaml (>= 0.9~),
   debhelper (>= 9),
   libeasy-format-ocaml-dev
-Standards-Version: 3.9.4
-Homepage: http://martin.jambon.free.fr/biniou.html
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/biniou.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/biniou.git
+Standards-Version: 3.9.8
+Homepage: https://github.com/mjambon/biniou
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/biniou.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/biniou.git
 
 Package: libbiniou-ocaml-dev
 Architecture: any
