=== debian/rules ===
--- 
+++ 
@@ -28,16 +28,6 @@
 	$(MAKE) doc
 
 
-.PHONY: override_dh_auto_test
-override_dh_auto_test:
-ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
-	$(MAKE) test_biniou
-else
-	$(MAKE) test_biniou.byte
-endif 
-	./test_biniou
-
-
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
