## biniou 1.2.0

=== Makefile ===
all:
	@jbuilder build

test:
	@jbuilder runtest

check: test

.PHONY: clean all check test

clean:
	jbuilder clean
