=== debian/changelog ===
biniou (1.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0
  * Remove Hendrik from Uploaders
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Aug 2019 07:09:19 +0200
