=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: biniou
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Hendrik Tews <hendrik@askra.de>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
   ocaml-best-compilers,
   ocaml-findlib,
   dh-ocaml (>= 0.9~),
-  debhelper (>= 9),
+  debhelper (>= 12),
+  jbuilder,
   libeasy-format-ocaml-dev
-Standards-Version: 3.9.8
-Homepage: https://github.com/mjambon/biniou
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/biniou.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/biniou.git
+Standards-Version: 4.4.0
+Homepage: https://github.com/ocaml-community/biniou
+Vcs-Git: https://salsa.debian.org/ocaml-team/biniou.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/biniou
 
 Package: libbiniou-ocaml-dev
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
@@ -39,7 +38,7 @@
 Package: libbiniou-ocaml
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
