=== debian/watch ===
version=3
https://github.com/ocaml-community/biniou/tags .*/v([\d\.]+)\.tar\.gz
