## biniou 1.2.1

=== Makefile ===
all:
	dune build

test:
	dune runtest

check: test

install:
	dune install

uninstall:
	dune uninstall

.PHONY: clean all check test install uninstall

clean:
	dune clean
