=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
   ocaml-best-compilers,
   ocaml-findlib,
   dh-ocaml (>= 0.9~),
-  debhelper (>= 12),
-  jbuilder,
+  debhelper-compat (= 12),
+  ocaml-dune,
   libeasy-format-ocaml-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-community/biniou
 Vcs-Git: https://salsa.debian.org/ocaml-team/biniou.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/biniou
