=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,10 @@
 	dh $@ --with ocaml
 
 override_dh_auto_build:
-	jbuilder build -p biniou
+	dune build -p biniou
 
 override_dh_auto_install:
-	jbuilder install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
+	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/biniou/LICENSE
 
 override_dh_missing:
