=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
   ocaml-best-compilers,
   ocaml-findlib,
   dh-ocaml (>= 0.9~),
-  debhelper-compat (= 12),
+  debhelper-compat (= 13),
   ocaml-dune,
+  libcamlp-streams-ocaml-dev,
   libeasy-format-ocaml-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-community/biniou
 Vcs-Git: https://salsa.debian.org/ocaml-team/biniou.git
